Do I have to install anything to use Foxylearning?

Nope! You can access Foxylearning 24/7 from any computer or mobile device with a modern browser and an internet connection. You can check if your browser and device meets the basic requirements of our site below:

If you need help figuring out how to update your browser or enable javascript and cookies, check out these guides. Please note that Internet Explorer is not recommended or supported. It is a very old browser, with the last version being released in 2013 (making it practically ancient in internet time!), and does not support modern web technologies very well.

If you are experiencing a problem with our site on your browser, let us know and we'll take a look to see if it is something we can fix.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.